<template>
	<view class="page">
		<u-navbar title="疑问解答" :border-bottom="false" :background="bgc" title-color='#fff' back-icon-color="#fff" title-size='36'
			height='50'></u-navbar>
        <view class="box">
        	<view class="title">
        		{{listobj.title == undefined ? '' : listobj.title}}
        	</view>
			<view class="cont" v-html="listobj.content">
				
			</view>
        </view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
                articleId:'',
				listobj:{}
			}
		},
		onLoad(option) {
			this.articleId = option.id
			this.getxq() 
		},
		// 分享到好友（会话）
		  onShareAppMessage: function () {  
		    return {  
		      title: '创想物联',  
		      path: '/pages/shouye/index'  
		    }  
		  },  
		  
		  // 分享到朋友圈  
		  onShareTimeline: function () {  
		    return {  
		      title: '创想物联',  
		      query: '',  
		      path: '/pages/shouye/index'  
		    }  
		  },
		methods: {
            getxq(){
				this.$u.get(`/app/article/${this.articleId}`).then(res => {
					if (res.code == 200) {
						this.listobj = res.data
					}
				})
			}
		}
	}
</script>

<style lang="scss">
	/deep/ .u-title{
		padding-bottom: 22rpx;
	}
	/deep/ .u-icon__icon{
		padding-bottom: 22rpx;
	}
	page {
		background: linear-gradient(180deg, #8883F0 0%, rgba(255, 255, 255, 0) 100%);
	}

	.page {
		width: 750rpx;
		position: fixed;
		top: 0;
		left: 0;
		.box{
			width: 750rpx;
			height: 1440rpx;
			background: #F4F5F7;
			border-radius: 0rpx 0rpx 0rpx 0rpx;
			padding: 40rpx;
			box-sizing: border-box;
			.title{
				font-size: 40rpx;
				font-weight: 600;
			}
			.cont{
				font-size: 32rpx;
				color: #666;
				margin-top: 50rpx;
			}
		}
	}
</style>